Skip to main content
GET
/
api
/
v2
/
swap
/
status
/
{taskId}
GET /api/v2/swap/status/:taskId — Poll execution status
curl --request GET \
  --url https://api.shuriken.trade/api/v2/swap/status/{taskId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "status": "<string>",
    "taskId": "<string>",
    "errorCode": "<string>",
    "errorMessage": "<string>",
    "txHash": "<string>"
  },
  "requestId": "<string>",
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "page": 1,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

taskId
string
required

Task ID from /execute response

Response

200 - application/json

Swap status

V2 success response envelope

data
object
required
requestId
string
required
pagination
object

Page-based pagination info